%if 0%{?fedora} > 21 || 0%{?rhel} > 7
%global with_python3 1
%endif
%global pypiname neovim_gui

Name:           python-neovim-gui
Version:        0.1.3
Release:        3%{?dist}
Summary:        Python GTK GUI for neovim

License:        ASL 2.0
URL:            https://github.com/neovim/python-gui
Source0:        https://github.com/neovim/python-gui/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
%if 0%{?fedora} > 23 || 0%{?rhel} > 7
BuildRequires:  python2-setuptools
%else
BuildRequires:  python-setuptools
%endif

Requires:       python-click
Requires:       python-neovim
%if 0%{?fedora} > 22 || 0%{?rhel} > 7
Requires:       python-gobject
%else
Requires:       pygobject2
%endif


%description
Simple nvim GUI implemented using GTK


%if 0%{?with_python3}
%package -n python3-neovim-gui
Summary: Python GTK GUI for neovim

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       python3-click
Requires:       python3-neovim
Requires:       python3-gobject

%description -n python3-neovim-gui
Simple nvim GUI implemented using GTK
%endif


%prep
%setup -q -T -b 0 -n python-gui-%{version}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif


%build
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%{__python2} setup.py build


%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd
%endif

%{__python2} setup.py install -O1 --skip-build --root %{buildroot}


%check


%files
%defattr(-,root,root,-)
%doc README.md
%{_bindir}/pynvim
%{python2_sitelib}/%{pypiname}
%{python2_sitelib}/%{pypiname}-%{version}-py2.?.egg-info

%if 0%{?with_python3}
%files -n python3-neovim-gui
%defattr(-,root,root,-)
%doc README.md
%{_bindir}/pynvim
%dir %{python3_sitelib}/%{pypiname}
%{python3_sitelib}/%{pypiname}/*
%{python3_sitelib}/%{pypiname}-%{version}-py3.?.egg-info
%endif


%changelog
* Sun Jul 17 2016 David Personette <dperson@gmail.com> - 0.1.3-3
- Fix module deps for python2 / python3 packages

* Mon Jul 04 2016 David Personette <dperson@gmail.com> - 0.1.3-2
- Fix module names on older versions

* Sun Jul 03 2016 David Personette <dperson@gmail.com> - 0.1.3-1
- Initial version